Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockApplicationFactory

    java.lang.Object
      javax.faces.application.ApplicationFactory
          org.jboss.seam.mock.MockApplicationFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.application.ApplicationFactory>

    public class MockApplicationFactory

extends javax.faces.application.ApplicationFactory

An mock implementation of the JSF ApplicationFactory which returns a mock Application wrapped in a SeamApplication. This class can be registered with JSF to allow JSF to be used formally in a test environment as follows: `FactoryFinder.setFactory(FactoryFinder.APPLICATION_FACTORY, "org.jboss.seam.mock.MockApplicationFactory"); Application application = ((ApplicationFactory) FactoryFinder .getFactory(FactoryFinder.APPLICATION_FACTORY)).getApplication();`

Author:
  Dan Allen

Constructor Summary
`MockApplicationFactory()`

Method Summary
`javax.faces.application.Application` | `getApplication()`
`void` | `setApplication(javax.faces.application.Application application)`

Methods inherited from class javax.faces.application.ApplicationFactory
`getWrapped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockApplicationFactory

    public MockApplicationFactory()

Method Detail

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.application.ApplicationFactory`

### setApplication

    public void setApplication(javax.faces.application.Application application)

  Specified by:
    `setApplication` in class `javax.faces.application.ApplicationFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.